Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/GammaDistributedRandom.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/GammaDistributedRandom.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/GammaDistributedRandom.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 16311)
@@ -120,4 +120,5 @@
     <Compile Include="GammaDistributedRandom.cs" />
     <Compile Include="ListExtensions.cs" />
+    <Compile Include="RandomSeedGenerator.cs" />
     <Compile Include="UniformDistributedRandom.cs" />
     <Compile Include="FastRandom.cs" />
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/ListExtensions.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/ListExtensions.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/ListExtensions.cs	(revision 16311)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/MersenneTwister.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/MersenneTwister.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/MersenneTwister.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalDistributedRandom.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalDistributedRandom.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalDistributedRandom.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalRandomizer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Plugin.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Plugin.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Plugin.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Random plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Random", "3.3.14.$WCREV$")]
+  [Plugin("HeuristicLab.Random", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Random-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomCreator.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -94,5 +94,5 @@
       IntValue seed = SeedParameter.ActualValue;
 
-      if (setSeedRandomly) seed.Value = new System.Random().Next();
+      if (setSeedRandomly) seed.Value = RandomSeedGenerator.GetSeed();
       IRandom random = (IRandom)RandomType.Clone();
       random.Reset(seed.Value);
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomEnumerable.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomEnumerable.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomEnumerable.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomSeedGenerator.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomSeedGenerator.cs	(revision 16311)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/RandomSeedGenerator.cs	(revision 16311)
@@ -0,0 +1,31 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Random {
+  public static class RandomSeedGenerator {
+    private static readonly System.Random rand = new System.Random();
+    private static readonly object locker = new object();
+
+    public static int GetSeed() {
+      lock (locker) return rand.Next();
+    }
+  }
+}
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformDistributedRandom.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformDistributedRandom.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformDistributedRandom.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformRandomizer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
